/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.entidad.UsuarioUbicacion;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderUbicacion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        UsuarioUbicacion ubicacion = (UsuarioUbicacion) o;

        Listcell lc;
        Parada parada = ubicacion.getParada();
        if (parada != null) {
            lc = new Listcell(parada.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        PuntoVenta puntoVenta = ubicacion.getPuntoVenta();
        if (puntoVenta != null) {
            lc = new Listcell(puntoVenta.getNombpuntoventa());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", ubicacion);
    }
}
